<?php
/*
Plugin Name: Geo Tools
Description: Geo tools is a plugin that focuses on GeoCaching utilities such as statistics display, geochecker...
Author: Verturin
Author URI: https://www.verturin.fr/
Version: 1.0.4
Text Domain: geo-tools
Domain Path: /languages/
*/

 	// ***************
	// Debut du Plugin
	// ***************
	if ( ! defined( 'ABSPATH' ) ) exit;
 
 	// *******************************
	// Definitions des Variables Fixes
	// *******************************
	if (!defined("GEOTOOLS_VERSION"))						define("GEOTOOLS_VERSION", "1.0.4");
	if (!defined("GEOTOOLS_PLUGIN_DIR")) 					define("GEOTOOLS_PLUGIN_DIR", dirname( __FILE__ ));
	if (!defined("GEOTOOLS_PLUGIN_DIR_PATH")) 				define("GEOTOOLS_PLUGIN_DIR_PATH", plugins_url('' , __FILE__));
	
	// ********************************
	// Chargement des Fichiers Externes
	// ********************************

	// Ajoute le fichier des variables fixes
	include( 'includes/geotools-variables.php' );	
	// Ajoute le Menu dans le BackOffice
	include( 'includes/geotools-menu.php' );
	// Ajoute le fichier du widget de la Statbar
	include( 'includes/geotools-widget-init.php' );	
	// Ajoute le fichier de generation du trackable
	include( 'trackable/trackable.php' );	
	// Ajoute le fichier des styles
	include( 'functions.php' );
	
	// Ajoute le fichier des styles
	include( 'includes/geotools-styles.php' );
	// Ajoute le fichier des scripts
	include( 'includes/geotools-scripts.php' );
	
	// ***************
	// Base de donnees
	// ***************
	
	// Chargement de dbDelta Library
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');	
	
	// ********************************	
	// Charge les Traductions du Plugin
	// ********************************
	function geo_tools_textdomain() {
		load_plugin_textdomain( 'geo-tools', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
	}

	// **********
	// Add Action
	// **********
	
	// Active le multilangue
	add_action('plugins_loaded', 'geo_tools_textdomain' );	
	// Ajoute les styles du Menu
	add_action('admin_enqueue_scripts', 'geo_tools_style');
	// Ajoute les styles Color Picker
	add_action('admin_enqueue_scripts', 'geo_tools_style_color_picker');
	// Ajoute les scipts
	add_action('admin_enqueue_scripts', 'geo_tools_script_color_picker' );
	
 ?>