<?php
 
	// Empeche la lecture directe du fichier
	// *************************************
	if ( ! defined( 'ABSPATH' ) ) exit;

	// *********************************
	// Ajoute le Menu dans le BackOffice
	// *********************************
	
	Add_action ('admin_menu', 'geotools_admin_menu');
	 
	function geotools_admin_menu(){
		
		global $wp_version, $_registered_pages;

		// Permet de gerer l'autorisation d'acces au plugin
		$view_level = current_user_can('geotools_manage') ? 'geotools_manage' : 'manage_options';
		
		// Menu Principal
		add_menu_page ('Geo Tools',
						__('Geo Tools','geo-tools'),
						'manage_options',
						'geotools-plugin',
						'geotools_plugin_setup_principal',
						GEOTOOLS_PLUGIN_DIR_PATH.'/images/GEOTOOLS-icon.png');						
		// Sous Menu Settings
		add_submenu_page('geotools-plugin',
						__('Settings', 'geo-tools'), 
						__('Settings', 'geo-tools'), 
						$view_level , 
						'geotools-settings', 
						'geotools_plugin_setup_settings');	
		// Sous Menu About
		add_submenu_page('geotools-plugin', 
						__('About','geo-tools'), 
						__('About','geo-tools'),
						'manage_options',
						'geotools-about',
						'geotools_plugin_setup_about');
	}
	
	function geotools_plugin_setup_principal(){
		// Affiche le fichier contenant que du HTML
		include('geotools-pincipal.html.php');
	}		
	function geotools_plugin_setup_settings(){
		// Affiche le fichier contenant que du HTML en passant par le fichier Options
		if ( function_exists('current_user_can') && !current_user_can('manage_options') ) die(__("Your are not allowed to to perform this operation", 'geo-tools'));
		if (! user_can_access_admin_page()) wp_die( __('You do not have sufficient permissions to access this page', 'geo-tools') );
		require(GEOTOOLS_PLUGIN_DIR.'/options.php');
	}		
	function geotools_plugin_setup_about() {
		// Affiche le fichier contenant que du HTML
		include('geotools-about.html.php');
	}		
?>