<?php
 
	// Empeche la lecture directe du fichier
	// *************************************
	if ( ! defined( 'ABSPATH' ) ) exit;

	// Version 1.01
	// Mise en place pour utilisation du TB - 28-12-2017 - FD

	function geotools_register_widget()
	{
		register_widget('geotools_widget');
	}

	class geotools_widget extends WP_Widget {

		// Construction du Widget
		
		function __construct() {
			parent::__construct(
			// widget ID
			'geotools_widget',
			// Le nom du widget
			__('Geo Tools - Trackable', 'geo-tools'),
			// La description du widget 
			array( 'description' => __('Trackable', 'geo-tools')),
			// Largeur du Widget 
			array('width' => 350)
			);
		}
	
		// Affichage des paramètres du widget dans l'admin

		public function form( $instance ) {

			// Verifie si geotoolsuserid existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotoolsuserid' ] ) )
				$geotoolsuserid = $instance[ 'geotoolsuserid' ];
			else
				$geotoolsuserid = get_current_user_id(); // Recupere le User ID de l'utilisateur en courant

			// Verifie si geotoolsusername existe sinon indique la valeur par défaut
			if ( isset( $instance[ 'geotoolstrackablenumber' ] ) )
				$geotoolstrackablenumber = $instance[ 'geotoolstrackablenumber' ];
			else
				$geotoolstrackablenumber = get_option('geotoolsTBNumber');

			// Titre des Cases

			$titregeotoolsuserid		= __('Current User ID : ', 'geo-tools');
			$titregeotoolstrackablenumber		= __('Trackable : ', 'geo-tools');
						
			?>
			<!-- Current User ID -->			
			<p style="text-align:right;">
				<label for="<?php echo $this->get_field_id('geotoolsuserid'); ?>">
					<?php echo $titregeotoolsuserid; ?>
					<input class="widefat" style="width: 200px;
					id="<?php echo $this->get_field_id('geotoolsuserid');
					?>" name="<?php echo $this->get_field_name('geotoolsuserid');
					?>" type="text" value="<?php echo $geotoolsuserid; ?>" readonly/>
				</label>
			</p>

			<!-- Pseudo du Joueur -->			
			<p style="text-align:right;">
				<label for="<?php echo $this->get_field_id('geotoolstrackablenumber'); ?>">
					<?php echo $titregeotoolstrackablenumber; ?>
					<input class="widefat" style="width: 200px;
					id="<?php echo $this->get_field_id('geotoolstrackablenumber');
					?>" name="<?php echo $this->get_field_name('geotoolstrackablenumber');
					?>" type="text" value="<?php echo $geotoolstrackablenumber; ?>" />
				</label>
			</p>
			
			<?php
		}

		// Affichage du widget
		
		public function widget( $args, $instance ) {

			// Recuperation des donnees du Widget
			// **********************************
			
			$geotoolsuid 	= $instance['geotoolstrackablenumber'];

			// Creation du lien de la Statbar Geocaching
			// *****************************************

			$geotoolsfinallien		= GEOTOOLS_PLUGIN_DIR_PATH.'/trackable/'.$geotoolsuid.'tb.png';
			$geotoolsfinal			= '<img src="'.$geotoolsfinallien.'" />';

			// Assemblage final de la Statbar Geocaching
			// *****************************************
			
			$before_widget 	= '';
			$before_title 	= '';
			$widgettittle 	= '<h3 class="widget-title">'.__('Geo Tools - Trackable', 'geo-tools').'</h3>';
			$after_title	= '';
			$after_widget 	= '';		
		
			echo $before_widget . $before_title . $widgettittle . $after_title . $geotoolsfinal . $after_widget;		
		}

		// Enregistement des paramètres
		
		function update($new_instance, $old_instance) {
		
			$instance = $old_instance;
 
			/* Récupération des paramètres envoyés */

			$instance['geotoolsuserid'] 			= strip_tags(stripslashes($new_instance['geotoolsuserid']));
			$instance['geotoolstrackablenumber']	= strtoupper(strip_tags(stripslashes($new_instance['geotoolstrackablenumber'])));

			update_option('geotoolsTBNumber', $instance['geotoolstrackablenumber'] );

			// creation de l'image du TB
			geotools_creation_trackable();
			
			return $instance;
			
		}
		
	}
	
	// Ajoute le Widget a la liste
	add_action( 'widgets_init', 'geotools_register_widget' );	

	?>